//
//  MTLOutletProxy.h
//  InitalFirstResponderWB
//
//  Created by narita on 2017/02/25.
//  Copyright © 2017年 narita. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface MTLOutletProxy : NSObject

#pragma mark -
#pragma mark class methods

#pragma mark -
#pragma mark init methods

#pragma mark -
#pragma mark dealloc

#pragma mark -
#pragma mark NSCopying, hash, isEqual:

#pragma mark -
#pragma mark NSCoding methods

#pragma mark -
#pragma mark awakeFromNib-like methods

#pragma mark -
#pragma mark action methods

#pragma mark -
#pragma mark delegate/datasource methods

#pragma mark -
#pragma mark accessor methods (in pairs)

// オブジェクトoutletObjectのアウトレット名outletNameにポインター値を入れる。
@property (weak) IBOutlet      id        outletObject;
@property (copy) IBInspectable NSString* outletName;

// そのポインター値は、objectRootを起点として、キーパスobjectPathで示されるオブジェクトのポインター
@property (weak) IBOutlet      id        objectRoot;
@property (copy) IBInspectable NSString* objectPath;

#pragma mark -
#pragma mark Utility methods

@end
